Bug 193821 - Import Resize Observer test cases from WPTs
Summary: Import Resize Observer test cases from WPTs
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: DOM (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: cathiechen
URL:
Keywords: InRadar
Depends on:
Blocks: 157743
  Show dependency treegraph
 
Reported: 2019-01-25 04:11 PST by cathiechen
Modified: 2019-01-29 06:59 PST (History)
8 users (show)

See Also:


Attachments
WIP (46.25 KB, patch)
2019-01-25 07:02 PST, cathiechen
no flags Details | Formatted Diff | Diff
Patch (53.27 KB, patch)
2019-01-27 03:33 PST, cathiechen
no flags Details | Formatted Diff | Diff
Patch (53.26 KB, patch)
2019-01-27 03:56 PST, cathiechen
no flags Details | Formatted Diff | Diff
Patch (62.12 KB, patch)
2019-01-27 05:04 PST, cathiechen
no flags Details | Formatted Diff | Diff
Patch (62.13 KB, patch)
2019-01-27 06:26 PST, cathiechen
no flags Details | Formatted Diff | Diff
Patch (62.16 KB, patch)
2019-01-27 06:41 PST, cathiechen
no flags Details | Formatted Diff | Diff
Patch (109.10 KB, patch)
2019-01-27 08:27 PST, cathiechen
no flags Details | Formatted Diff | Diff
Patch (109.55 KB, patch)
2019-01-27 09:24 PST, cathiechen
no flags Details | Formatted Diff | Diff
Patch (109.55 KB, patch)
2019-01-27 22:50 PST, cathiechen
no flags Details | Formatted Diff | Diff
Patch (48.81 KB, patch)
2019-01-28 08:32 PST, cathiechen
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description cathiechen 2019-01-25 04:11:09 PST
Import css-lists testcases from web platform tests.
Comment 1 cathiechen 2019-01-25 07:02:02 PST
Created attachment 360111 [details]
WIP
Comment 2 cathiechen 2019-01-27 03:33:35 PST
Created attachment 360288 [details]
Patch
Comment 3 cathiechen 2019-01-27 03:56:37 PST
Created attachment 360289 [details]
Patch
Comment 4 cathiechen 2019-01-27 05:04:24 PST
Created attachment 360292 [details]
Patch
Comment 5 cathiechen 2019-01-27 06:26:35 PST
Created attachment 360293 [details]
Patch
Comment 6 cathiechen 2019-01-27 06:41:20 PST
Created attachment 360294 [details]
Patch
Comment 7 cathiechen 2019-01-27 08:27:09 PST
Created attachment 360296 [details]
Patch
Comment 8 cathiechen 2019-01-27 09:24:36 PST
Created attachment 360297 [details]
Patch
Comment 9 cathiechen 2019-01-27 22:50:59 PST
Created attachment 360321 [details]
Patch
Comment 10 Frédéric Wang (:fredw) 2019-01-28 05:58:51 PST
Comment on attachment 360321 [details]
Patch

Can you please only import WPT tests in this patch? Then the addition of runtime ResizeObserver preference as well the local modifications of the tests (to add the header that enables the preference) would be done in follow-up bugs.
Comment 11 cathiechen 2019-01-28 08:32:34 PST
Created attachment 360346 [details]
Patch
Comment 12 ews-feeder 2019-01-29 06:36:32 PST
Comment on attachment 360346 [details]
Patch

Rejecting attachment 360346 [details] from commit-queue.

cathiechen@igalia.com does not have committer permissions according to https://trac.webkit.org/browser/trunk/Tools/Scripts/webkitpy/common/config/contributors.json.

- If you do not have committer rights please read http://webkit.org/coding/contributing.html for instructions on how to use bugzilla flags.

- If you have committer rights please correct the error in Tools/Scripts/webkitpy/common/config/contributors.json by adding yourself to the file (no review needed).  The commit-queue restarts itself every 2 hours.  After restart the commit-queue will correctly respect your committer rights.
Comment 13 WebKit Commit Bot 2019-01-29 06:58:11 PST
Comment on attachment 360346 [details]
Patch

Clearing flags on attachment: 360346

Committed r240655: <https://trac.webkit.org/changeset/240655>
Comment 14 WebKit Commit Bot 2019-01-29 06:58:13 PST
All reviewed patches have been landed.  Closing bug.
Comment 15 Radar WebKit Bug Importer 2019-01-29 06:59:28 PST
<rdar://problem/47631406>